# -*- coding: utf-8 -*-

import unittest

from outwiker.core.pluginsloader import PluginsLoader
from outwiker.core.htmlimproverfactory import HtmlImproverFactory
from outwiker.tests.basetestcases import BaseOutWikerMixin


class HtmlFormatterTest (unittest.TestCase, BaseOutWikerMixin):
    """Тесты плагина HtmlFormatter"""

    def setUp(self):
        self.initApplication()
        dirlist = ["plugins/htmlformatter"]

        self.loader = PluginsLoader(self.application)
        self.loader.load(dirlist)

    def tearDown(self):
        self.loader.clear()
        self.destroyApplication()

    def testPluginLoad(self):
        self.assertEqual(len(self.loader), 1)

    def testFactory(self):
        from htmlformatter.paragraphimprover import ParagraphHtmlImprover
        factory = HtmlImproverFactory(self.application)

        self.assertEqual(type(factory['pimprover']), ParagraphHtmlImprover)
